XM_OBJ = \
	xm/milkypack01.xm.o \
	xm/CottageFantasy2.xm.o \
	xm/CloudsAhead6.xm.o

TEXTURE_OBJ = \
	font/tandy1k.data.o \
	font/icons.data.o \
	model/32bitlogo/colors.data.o \
	cover/cover1.data.o \
	reference_render.data.o \
	font/ter-u24n.data.o \
	font/ter-u32n.data.o

PCM_OBJ = \
	pcm/start3.adpcm.o \
	pcm/dk.adpcm.o

XM_PLAYER_OBJ = \
	$(LIB)/holly/core.o \
	$(LIB)/holly/region_array.o \
	$(LIB)/holly/background.o \
	$(LIB)/holly/ta_fifo_polygon_converter.o \
	$(LIB)/holly/video_output.o \
	$(LIB)/sh7091/serial.o \
	$(LIB)/sh7091/c_serial.o \
	$(LIB)/maple/maple.o \
	$(LIB)/printf/printf.o \
	$(LIB)/printf/unparse.o \
	$(LIB)/printf/parse.o \
	src/font.o \
	src/icons.o \
	src/cursor.o \
	src/detect_emulator.o \
	src/framebuffer.o \
	src/graphics.o \
	src/graphics_primitive.o \
	src/input.o \
	src/interpreter.o \
	src/main.o \
	src/malloc.o \
	src/playlist.o \
	src/scene/logo/scene.o \
	src/scene/logo/sound.o \
	src/scene/emulator/scene.o \
	src/scene/emulator/sound.o \
	src/scene/scene.o \
	src/scene/tracker/channel_status.o \
	src/scene/tracker/cover.o \
	src/scene/tracker/notes.o \
	src/scene/tracker/scene.o \
	src/scene/tracker/metadata.o \
	src/scene/tracker/tracklist.o \
	src/sound.o \
	src/texture.o \
	src/widget/button.o \
	src/widget/button_label.o \
	src/widget/button_icon.o \
	src/xm.o

xm_player.elf: LDSCRIPT = $(LIB)/main.lds
xm_player.elf: $(START_OBJ) $(XM_PLAYER_OBJ) $(TEXTURE_OBJ) $(XM_OBJ) $(PCM_OBJ) $(LIBGCC)
